-----------------------------------------------------------------------------

if not Aloft or not Aloft:HasModule("ShortGuildData") then return end
local AloftShortGuildData = Aloft:GetModule("ShortGuildData")
local L = AceLibrary("AceLocale-2.2"):new("AloftShortGuildDataOptions")

-----------------------------------------------------------------------------

L:RegisterTranslations("enUS", function() return {
	["Reset Short Guilds"] = true,
	["Empties the custom short guild database"] = true,

	["You are about to empty your guild short name database.\nThis action cannot be undone. Proceed?"] = true,
} end)

L:RegisterTranslations("koKR", function() return {
	["Reset Short Guilds"] = "짧은 길드 초기화",
	["Empties the custom short guild database"] = "사용자의 짧은 길드 데이터베이스를 삭제합니다.",
} end)

-----------------------------------------------------------------------------

Aloft.Options.args.data.args.shortGuild =
{
    type = "execute",
    name = L["Reset Short Guilds"],
    desc = L["Empties the custom short guild database"],
    func = function() AloftShortGuildData:ClearAllData() end,
    confirm = L["You are about to empty your guild short name database.\nThis action cannot be undone. Proceed?"]
}

-----------------------------------------------------------------------------
